namespace DxBlazorApplication1.Services
{
    public class TodoService : ITodoService
    {
        private readonly IList<TodoItem> _todoItems;

        public TodoService()
        {
            _todoItems = new List<TodoItem>()
            {
                new TodoItem("Wäsche waschen"),
                new TodoItem("Wäsche trocknen")
            };
        }

        public void AddItem(TodoItem item)
        {
            _todoItems.Add(item);
        }
        public void RemoveItem(TodoItem item)
        {
            _todoItems.Remove(item);
        }
        public IEnumerable<TodoItem> GetItems()
        {
            return _todoItems;
        }
        public void Complete(TodoItem item)
        {
            item.Completed = true;
        }
        public void Uncomplete(TodoItem item)
        {
            item.Completed = false;
        }
    }
}
